/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-cli/cli-api/src/java/com/sun/cli/jmx/cmd/SourceCmd.java,v 1.3 2005/12/25 03:45:40 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:45:40 $
 */
 
package com.sun.cli.jmx.cmd;

import com.sun.cli.util.LineReaderImpl;

public class SourceCmd extends CmdBase
{
		public
	SourceCmd( final CmdEnv env )
	{
		super( env );
	}
	
		int
	getNumRequiredOperands()
	{
		// there may be some, but there may be none
		return( 1 );
	}
	
	
	
		String
	getUsage()
	{
		return( CmdStrings.SOURCE_HELP.toString() );
	}
	
		public static String []
	getNames( )
	{
		return( new String [] { "source" } );
	}
	
		void
	executeInternal()
		throws Exception
	{
		final String [] operands	= getOperands();
		final String	fileName	= operands[ 0 ];
		
		final CmdRunner	cmdRunner	= (CmdRunner)envGet( ENV_CMD_RUNNER );
		
		final java.io.InputStream	theFile	= new java.io.FileInputStream( fileName );
		final LineReaderImpl	lineReader	= new LineReaderImpl( theFile );
		
		String	line;
		while ( (line = lineReader.readLine( null )) != null )
		{
			CmdReader.processLine( line, cmdRunner );
		}
		
	}
}






